زاوية للنقاش حول{ AutoCAD 2009 {VBA-LISP-script-3D-2D


(zarzour) #1

بعد تصفحي للصفحات الويب الهندسية العربية والأجنبية وجدت أنه لا بد من وجود نوع من التعاون لايجاد حل للمشكلة الت تعترضك ولا يكفي فقط طرحها ضمن موضوع ((لأنه قد يرد عليك الأعضاء (جزاهم الله خيرا ) وقد لايرد عليك أحد ) فقد أحببت وبعد إذن الادارة أن أننشىء هذا الموضوع للنقاش ضمن هذا المنتدى ((لأنني أولا وأخيرا مهندس مدني )) فمن يريد المشاركة (سؤال -معلومة جديدة -اقتراح -تصحيح لشيء ما) فأنا إن شاء الله سأكون موجود ضمن هذا المنتدى كل يوم أربعاء و جمعة في هذا التوقيت 8-9 والأن أنا متواجد حاليا فمن يريد المشاركة فيتفضل


(zarzour) #2

باين كل المهندسين خبراء في الأتوكاد و ما حد يريد المساعدة


(zarzour) #3

بسم الله الرحمن الرحيم نبدأ


(zarzour) #4

إليكم هذا الكود من أجل استخدام الأتوكاد عن طريق الفيجوال بيسك دوت نت ورسم خط ضمن الأتوكاد من يريد شرح على هذا الكود فاليقوم بالرد علي ضمن هذا الموضوع وسأقوم إن شاء الله بتفصيل كل سطر من هذا الكود


Imports Autodesk.AutoCAD.Interop
Imports Autodesk.AutoCAD.Interop.Common

Public Class Form1
Inherits System.Windows.Forms.Form

#Region " Windows Form Designer generated code "

Public Sub New()
    MyBase.New()

    'This call is required by the Windows Form Designer.
    InitializeComponent()

    'Add any initialization after the InitializeComponent() call

End Sub

'Form overrides dispose to clean up the component list.
Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
    If disposing Then
        If Not (components Is Nothing) Then
            components.Dispose()
        End If
    End If
    MyBase.Dispose(disposing)
End Sub

'Required by the Windows Form Designer
Private components As System.ComponentModel.IContainer

'NOTE: The following procedure is required by the Windows Form Designer
'It can be modified using the Windows Form Designer.
'Do not modify it using the code editor.
Friend WithEvents Button1 As System.Windows.Forms.Button
 Private Sub InitializeComponent()
    Me.Button1 = New System.Windows.Forms.Button()
    Me.SuspendLayout()
    '
    'Button1
    '
    Me.Button1.Location = New System.Drawing.Point(104, 104)
    Me.Button1.Name = "Button1"
    Me.Button1.TabIndex = 0
    Me.Button1.Text = "Button1"
    '
    'Form1
    '
    Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
    Me.ClientSize = New System.Drawing.Size(292, 273)
    Me.Controls.AddRange(New System.Windows.Forms.Control() {Me.Button1})
    Me.Name = "Form1"
    Me.Text = "Form1"
    Me.ResumeLayout(False)

End Sub

#End Region

Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
    AcadAccess()
End Sub

Public Sub AcadAccess()
    On Error Resume Next
    Dim AcadApp As AcadApplication
    Dim ActDoc As AcadDocument

    ' Check for working AutoCAD
    AcadApp = GetObject(, "AutoCAD.Application.16.2")
    If Err.Number  0 Then
        Err.Clear()
        AcadApp = CreateObject("AutoCAD.Application.16.2")
    End If
    'Visibility
    AcadApp.Visible = True
    ' Active Drawing
    ActDoc = AcadApp.ActiveDocument

    Dim lineObj As AcadLine
    ' Points
    Dim StartPoint(2) As Double
    Dim EndPoint(2) As Double
    StartPoint(0) = 1.0#
    StartPoint(1) = 1.0#
    StartPoint(2) = 0.0#
    EndPoint(0) = 250.0#
    EndPoint(1) = 250.0#
    EndPoint(2) = 50.0#

    ' Line
    lineObj = ActDoc.ModelSpace.AddLine(StartPoint, EndPoint)

End Sub

End Class


(zarzour) #5

لمستخدمي الفيجوال بيسك 6 اليكم هذا الملف في المرفقات هو عبارة عن vb6 project او مايسمى بOXC activatX control بعد ما تنقر عليه مرتين (تعمله انستال ) إقرا ملف النص readthis وطبق ما ورد فيه


(system) #6

اريد رسومات ميكانيكية ولكن بالاتوكاد

وفقكم الله


(dhiferdhifer) #7

thanksssssssssssssssssssssssssssssss